# Task

## GET /api/v1/dashboard/task/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/":{"get":{"operationId":"dashboard_task_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/task/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/":{"post":{"operationId":"dashboard_task_create","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/{task\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/{task_id}/":{"get":{"operationId":"dashboard_task_retrieve_2","parameters":[{"in":"path","name":"task_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/task/{task\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/{task_id}/":{"put":{"operationId":"dashboard_task_update","parameters":[{"in":"path","name":"task_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/task/{task\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/{task_id}/":{"delete":{"operationId":"dashboard_task_destroy","parameters":[{"in":"path","name":"task_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/{task\_id}/review/

> GET  /dashboard/task/pending/              — list all tasks awaiting admin review\
> PATCH /dashboard/task/\<task\_id>/approve/   — approve a pending task (goes live)\
> PATCH /dashboard/task/\<task\_id>/reject/    — reject with a reason\
> \
> All actions require the Admin role.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/{task_id}/review/":{"get":{"operationId":"dashboard_task_review_retrieve","description":"GET  /dashboard/task/pending/              — list all tasks awaiting admin review\nPATCH /dashboard/task/<task_id>/approve/   — approve a pending task (goes live)\nPATCH /dashboard/task/<task_id>/reject/    — reject with a reason\n\nAll actions require the Admin role.","parameters":[{"in":"path","name":"task_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/task/{task\_id}/review/

> GET  /dashboard/task/pending/              — list all tasks awaiting admin review\
> PATCH /dashboard/task/\<task\_id>/approve/   — approve a pending task (goes live)\
> PATCH /dashboard/task/\<task\_id>/reject/    — reject with a reason\
> \
> All actions require the Admin role.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/{task_id}/review/":{"patch":{"operationId":"dashboard_task_review_partial_update","description":"GET  /dashboard/task/pending/              — list all tasks awaiting admin review\nPATCH /dashboard/task/<task_id>/approve/   — approve a pending task (goes live)\nPATCH /dashboard/task/<task_id>/reject/    — reject with a reason\n\nAll actions require the Admin role.","parameters":[{"in":"path","name":"task_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/base-template/

> Retrieve Task Base Template.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/base-template/":{"get":{"operationId":"dashboard_task_base_template_retrieve","description":"Retrieve Task Base Template.","tags":["Task"],"responses":{"200":{"description":"Excel template file download (task_base_template.xlsx)"}}}}}}
```

## GET /api/v1/dashboard/task/channel/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/channel/":{"get":{"operationId":"dashboard_task_channel_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/csv/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/csv/":{"get":{"operationId":"dashboard_task_csv_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/events/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/events/":{"get":{"operationId":"dashboard_task_events_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/ig/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/ig/":{"get":{"operationId":"dashboard_task_ig_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/task/import/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/import/":{"post":{"operationId":"dashboard_task_import_create","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/level/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/level/":{"get":{"operationId":"dashboard_task_level_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/list/

> Retrieve Task Public List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"TaskPublicListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","additionalProperties":{}}},"pagination":{"type":"object","additionalProperties":{}}},"required":["data","pagination"]}}},"paths":{"/api/v1/dashboard/task/list/":{"get":{"operationId":"dashboard_task_list_retrieve","description":"Retrieve Task Public List.","tags":["Task"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/TaskPublicListResponse"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/task/list-task-type/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/list-task-type/":{"get":{"operationId":"dashboard_task_list_task_type_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/task/list-task-type/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/list-task-type/":{"post":{"operationId":"dashboard_task_list_task_type_create","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/task/list-task-type/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/list-task-type/":{"put":{"operationId":"dashboard_task_list_task_type_update","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/task/list-task-type/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/list-task-type/":{"delete":{"operationId":"dashboard_task_list_task_type_destroy","tags":["Task"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/organization/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/organization/":{"get":{"operationId":"dashboard_task_organization_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/pending/

> GET  /dashboard/task/pending/              — list all tasks awaiting admin review\
> PATCH /dashboard/task/\<task\_id>/approve/   — approve a pending task (goes live)\
> PATCH /dashboard/task/\<task\_id>/reject/    — reject with a reason\
> \
> All actions require the Admin role.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/pending/":{"get":{"operationId":"dashboard_task_pending_retrieve","description":"GET  /dashboard/task/pending/              — list all tasks awaiting admin review\nPATCH /dashboard/task/<task_id>/approve/   — approve a pending task (goes live)\nPATCH /dashboard/task/<task_id>/reject/    — reject with a reason\n\nAll actions require the Admin role.","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/task/pending/

> GET  /dashboard/task/pending/              — list all tasks awaiting admin review\
> PATCH /dashboard/task/\<task\_id>/approve/   — approve a pending task (goes live)\
> PATCH /dashboard/task/\<task\_id>/reject/    — reject with a reason\
> \
> All actions require the Admin role.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/pending/":{"patch":{"operationId":"dashboard_task_pending_partial_update","description":"GET  /dashboard/task/pending/              — list all tasks awaiting admin review\nPATCH /dashboard/task/<task_id>/approve/   — approve a pending task (goes live)\nPATCH /dashboard/task/<task_id>/reject/    — reject with a reason\n\nAll actions require the Admin role.","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/task-type/{task\_type\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/task-type/{task_type_id}/":{"get":{"operationId":"dashboard_task_task_type_retrieve","parameters":[{"in":"path","name":"task_type_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/task/task-type/{task\_type\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/task-type/{task_type_id}/":{"post":{"operationId":"dashboard_task_task_type_create","parameters":[{"in":"path","name":"task_type_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/task/task-type/{task\_type\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/task-type/{task_type_id}/":{"put":{"operationId":"dashboard_task_task_type_update","parameters":[{"in":"path","name":"task_type_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/task/task-type/{task\_type\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/task-type/{task_type_id}/":{"delete":{"operationId":"dashboard_task_task_type_destroy","parameters":[{"in":"path","name":"task_type_id","schema":{"type":"string"},"required":true}],"tags":["Task"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/task/task-types/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/task/task-types/":{"get":{"operationId":"dashboard_task_task_types_retrieve","tags":["Task"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/task.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
